	// ===============================================================
	// Request Save - PART.A Initialize Pre-defined responses.
	// ===============================================================
	
	// Prepare function [Unable to Send Request]
	// _______________________________________________________________________
	var METHOD_UNABLE_TO_SEND_REQUEST = function(CALLBACK_METHOD)
	{
		JSOC_DIALOG.VAR_MESSAGE_BOX
		(
			'Unable to send request.' + '<br />' + 'Please check your internet connection.',
			'Information',
			'OK', 'ERROR',
			function()
			{
				CALLBACK_METHOD(false);
			}
		);			
	}
	
		
	// Prepare function [Server side error]
	// _______________________________________________________________________	
	var METHOD_SERVER_ISSUE = function(CALLBACK_METHOD, HTTP_RESPONSE)
	{
		JSOC_DIALOG.VAR_MESSAGE_BOX
		(
			'Server error - please contact the system administrator : <br />' + HTTP_RESPONSE,
			'Information',
			'OK', 'ERROR',
			function()
			{
				CALLBACK_METHOD(false);
			}
		);	
	}
	

	// Prepare function [Request failure]
	// _______________________________________________________________________		
	var METHOD_REQUEST_FAILURE = function(CALLBACK_METHOD, JSON_OBJECT)
	{
		// Initialize
		// ...........................................
		var ERROR_MESSAGE = JSRC_JSON.REF_READ(JSON_OBJECT, 'ERROR_MESSAGE');
		var DISPLAY_MESSAGE = '';
		
		var DUPLICATE_ENTRY_ERROR = 'SQL Error: Similar entry already exists in: ';
		var SYSTEM_GENERATED_ENTRY_ERROR = 'SQL Error: Not allowed to edit/delete system generated contents: ';
		var ALREADY_USED_ERROR_HEADER = 'SQL Error: Cannot delete ';
		var ALREADY_USED_ERROR_FOOTER = ' which is already linked with other records.';
		var SQL_ERROR = 'SQL Error: ';
		
		
		// Duplicate Error
		// ...........................................
		if(JSVC_STR.VAR_CONTAINS(ERROR_MESSAGE, DUPLICATE_ENTRY_ERROR, false))
		{
			DISPLAY_MESSAGE = 
				'Request Failed: Similar entry already exists. [' + 
				JSVC_STR.VAR_RIGHT
				(
					ERROR_MESSAGE, 
					(
						ERROR_MESSAGE.length - 
						DUPLICATE_ENTRY_ERROR.length -
						1
					)
				) + ']';
	
		}	
		
		
		// System Generated Error
		// ...........................................
		if(JSVC_STR.VAR_CONTAINS(ERROR_MESSAGE, SYSTEM_GENERATED_ENTRY_ERROR, false))
		{
			DISPLAY_MESSAGE = 
				'Request Failed: Not allowed to edit/delete system generated contents. [' + 
				JSVC_STR.VAR_RIGHT
				(
					ERROR_MESSAGE, 
					(
						ERROR_MESSAGE.length - 
						SYSTEM_GENERATED_ENTRY_ERROR.length
					)
				) + ']';
		}	


		// Already Used Error
		// ...........................................
		if
		(
			JSVC_STR.VAR_CONTAINS_LEFT(ERROR_MESSAGE, ALREADY_USED_ERROR_HEADER, false) && 
			JSVC_STR.VAR_CONTAINS(ERROR_MESSAGE, ALREADY_USED_ERROR_FOOTER, false)
		)
		{
			DISPLAY_MESSAGE = 
				'Request Failed: Cannot delete  [' + 
				JSVC_STR.VAR_MID
				(
					ERROR_MESSAGE, 
					ALREADY_USED_ERROR_HEADER.length,
					(
						ERROR_MESSAGE.indexOf(ALREADY_USED_ERROR_FOOTER) -
						ERROR_MESSAGE.indexOf(ALREADY_USED_ERROR_HEADER) -
						ALREADY_USED_ERROR_HEADER.length
					)
				) + ']. This item is referenced in other record(s).';
		}	
		
		
		// Strip SQL Error
		// ...........................................
		else if(JSVC_STR.VAR_CONTAINS(ERROR_MESSAGE, SQL_ERROR, false))
		{
			DISPLAY_MESSAGE = 
				'Request Failed: ' + 
				JSVC_STR.VAR_RIGHT
				(
					ERROR_MESSAGE, 
					ERROR_MESSAGE.length -
					SQL_ERROR.length
				);	
		}		

		
		// Other Errors
		// ...........................................
		else
		{
			DISPLAY_MESSAGE = 'REQUEST ERROR: ' + JSRC_JSON.REF_READ(JSON_OBJECT, 'ERROR_MESSAGE');		
		}
		
		
		// Show Message Box
		// ...........................................
		JSOC_DIALOG.VAR_MESSAGE_BOX
		(
			DISPLAY_MESSAGE,
			'Information',
			'OK', 'ERROR',
			function()
			{
				CALLBACK_METHOD(false);
			}
		);	
	}
	

	// Prepare function [Already Exists]
	// _______________________________________________________________________		
	var METHOD_ALREADY_EXISTS = function(CALLBACK_METHOD, VAR_VALUE, VAR_CAPTION, SOURCE_ELEMENT)
	{
		JSOC_DIALOG.VAR_MESSAGE_BOX
		(
			JSVC_ERROR.VAR_ARGUMENT_EXCEPTION_ALREADY_EXISTS(VAR_VALUE, VAR_CAPTION, false), 
			'Information',
			'OK', 'WARNING',
			function(MESSAGE_RESPONSE)
			{
				SOURCE_ELEMENT.focus();
				CALLBACK_METHOD(false);
			}
		);				
	}

	// Prepare function [Empty Field]
	// _______________________________________________________________________		
	var FIELD_IS_EMPTY = function(VAR_CAPTION)
	{
		if(VAR_CAPTION == undefined || VAR_CAPTION == "")
		{
			VAR_CAPTION = 'Please fill out neccessary fields.';
		}

		JSOC_DIALOG.VAR_MESSAGE_BOX
		(
			VAR_CAPTION, 
			'Information',
			'OK', 'WARNING'
		);				
	}